# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "renuo/cli/version"

# rubocop:disable Metrics/BlockLength
Gem::Specification.new do |spec|
  spec.name = Renuo::Cli::NAME
  spec.version = Renuo::Cli::VERSION
  spec.authors = ["Renuo AG"]
  spec.email = ["info@renuo.ch"]

  spec.summary = "The Renuo CLI automates some common workflows."
  spec.description = "The Renuo CLI automates some commonly used workflows by providing a command line interface."
  spec.homepage = "https://github.com/renuo/renuo-cli"
  spec.license = "MIT"

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables << "renuo"
  spec.require_paths = ["lib"]
  spec.metadata["rubygems_mfa_required"] = "true"

  spec.required_ruby_version = ">= 3.1.0"

  spec.add_dependency "activeresource", "~> 5.1.0"
  spec.add_dependency "colorize", "~> 0"
  spec.add_dependency "commander", "~> 4.0"
  spec.add_dependency "gems", "~> 1.1"
  spec.add_dependency "redcarpet", "~> 3.0"
  spec.add_dependency "terminal-table"

  spec.add_development_dependency "aruba", "~> 0.14.5"
  spec.add_development_dependency "bundler", "~> 2.5"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "cucumber", "~> 3.1"
  spec.add_development_dependency "dotenv", "~> 2.7.2"
  spec.add_development_dependency "mdl", "~> 0.13"
  spec.add_development_dependency "pry", "~> 0.14"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "renuocop"
  spec.add_development_dependency "rspec", "~> 3.5"
  spec.add_development_dependency "rubocop", "~> 1.62"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "simplecov-console"
  spec.add_development_dependency "vcr", "~> 6.2"
  spec.add_development_dependency "webmock", "~> 3.23"
end
# rubocop:enable Metrics/BlockLength
